import { Market } from '@project-serum/serum';
import { AccountsNotificationPayload } from './rpc_client';
import { MessageEnvelope } from './zeta_producer';
export declare class DataMapper {
    private readonly _options;
    private _bidsAccountOrders;
    private _asksAccountOrders;
    private _bidsAccountSlabItems;
    private _asksAccountSlabItems;
    private _localBidsOrdersMap;
    private _localAsksOrdersMap;
    private _initialized;
    private _lastSeenSeqNum;
    private _l3SnapshotPublishRequested;
    private _currentL2Snapshot;
    private _currentQuote;
    private readonly _version;
    private _zeroWithPrecision;
    private readonly _recentTrades;
    constructor(_options: {
        readonly symbol: string;
        readonly market: Market;
        readonly priceDecimalPlaces: number;
        readonly sizeDecimalPlaces: number;
    });
    map({ accountsData, slot }: AccountsNotificationPayload): IterableIterator<MessageEnvelope>;
    private _addChangedOrderItemsToL3Diff;
    private _validateL3DiffCorrectness;
    private _mapToL2Snapshot;
    private _getL2Diff;
    private _l2LevelChanged;
    private _priceStringCache;
    private _sizeStringCache;
    private _getPriceAsString;
    private _getSizeAsString;
    private _mapToL2Level;
    private _putInEnvelope;
    private _toMapConstructorStructure;
    private _mapEventToDataMessage;
    private _getFillSize;
    private _getDoneSize;
    private _getFillPrice;
    private _getNewlyAddedEvents;
    private _mapToOrderMessage;
    private _mapAskSlabItemToOrder;
    private _mapBidSlabItemToOrder;
    private _mapToOrderItem;
}
//# sourceMappingURL=data_mapper.d.ts.map